## org.jfree.report.util
Class TextUtilities

    java.lang.Object
      org.jfree.report.util.TextUtilities

    public class TextUtilities

extends java.lang.Object

Todo: Document me!

Since:
  30.03.2007
Author:
  Thomas Morgner

Method Summary
`static int` `parseInt(java.lang.String value, int defaultValue)` Parses the given string and returns the parsed integer value or the given default if the parsing failed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parseInt

    public static int parseInt(java.lang.String value,
                               int defaultValue)

  Parses the given string and returns the parsed integer value or the given default if the parsing failed.

  Parameters:
    `value` - the to be parsed string
    `defaultValue` - the default value
  Returns:
    the parsed string.